---
layout: default
---

<h1> Why take this class?</h1>

Highly recommend this course to be [mandatory in CS]... I will keep the lessons learned and try to apply them in my career wherever applicable. -- 2023 student.
{: .quote}

Even though I have a lot of experience with implementing accessibility in code and pushing for more accessible designs at work, I have learned a lot from this course [that I plan to take back into my workploce] -- 2023 student 
{: .quote}

How can computing enable new solutions to accessibility, including both access to the world and access to computers? Similarly, how can a disability studies perspective guide us in developing empowering and relevant solutions to accessibility problems? This course explores both of those questions through a combination of discussions, reading, and building.

Access technology (AT) has the potential to increase autonomy, and improve millions of people’s ability to live independently. This potential is currently under-realized because the expertise needed to create the right AT is in short supply and the custom nature of AT makes it difficult to deliver inexpensively. Yet computers’ flexibility and exponentially increasing power have revolutionized and democratized access technologies. In addition, by studying access technology, we can gain valuable insights into the future of all user interface technology.

In this course we will focus on a combination of practical skills such as how to assess accessibility of documents, websites and apps and how to do disability based UX; advanced skills such as how to address accessibility in visualization, AR/VR and AI/ML; and forward looking topics such as intersectional concerns, accessible healthcare, and accessibility in disaster response. The largest project in the class will be an open ended opportunity to explore access technology in more depth. We will also cover disability justice and advocacy. 

For quick links to key things, check out the navigation bar above and the table of contents here:

* TOC
{:toc}

<iframe width="560" height="315" src="https://www.youtube.com/embed/1aFiJDHtRiY" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

# Class Times

See [Canvas]({{site.canvas}}) for all zoom meeting links for classes and office hours.

- **Class Time:** Monday/Wednesday/Friday 3:30-4:20PM (PDT)
- **Class Location:** TBD
- **Section Time:** TBD

# Mailing Lists

**Staff** mailing list: [Mail](mailto:{{site.staff_email}})

**Class** mailing list: [Ed]({{site.discussion}})

# Course Staff

## Instructor

![Jen Mankoff](assets/img/staff/mankoff.jpg){:width="80px"} | [Jennifer Mankoff]({{site.author.url}}) (she/her) <br>  Office Hours: TBD

## TA

![Venkatesh Potluri](assets/img/staff/potluri.JPG){:class="ta-picture"} | [Venkatesh Potluri](https://venkateshpotluri.me/) (he/him)<br/> Office hours: TBD

(More information on [Pronouns](https://www.mypronouns.org/))

# Should I take this class?

Yes! Not only is accessibility a rewarding research topic with a lot of value for applying cutting edge computer science, accessibility is a human rights issue and it is the law. If you're creating interactive technologies, you should know how to build regular interfaces that are accessible as well as understanding the value of innovating new approaches to accessibility. Disability touches almost everyone either directly or indirectly at some point in life, temporarily or permanently. Let’s create a future we will also want to and be able to be part of.

This class will explore

- Challenges in making interfaces and interactions accessible 
- How to make documents accessible and conduct inclusive presentations and meetings
- How to make advanced technologies, such as AR/VR, Machine learning systems, and visualizations accessible
- Opportunities to bring accessibility to applied settings such as healthcare, disaster response, and higher education. 

Taking a class is a big commitment, and you will work hard in this class. So we want to help you make sure this is the right class for you. Below is some information about prerequisites and expectations.

# Prereqs and expectations

The only requirement for this class is that you are comfortable programming and picking up new languages and tools that you have not been exposed to before. You will have some control over this, however, basic web skills are likely to be useful. The primary programming project in this class is one you design yourself. 

In addition, please familiarize yourself with the course [academic conduct]({{site.baseurl}}/academic-conduct.html) policy. We will grade on the assumption that you have read and understood it, and there will be penalties if you do not follow these policies. These will be determined on a case by case basis, but at a minimum:
- If you plagiarize you will receive a 0 on participation for that assignment
- If you plagiarize on any assignment, you will receive a non-competent on your disability justice competency

# Course Structure

Many of the goals in this class center around learning by doing. This
means that hands on time trying out everything from implementation to
evaluation is critical to learning. Active learning has been [shown to
increase student performance in STEM
subjects](https://www.pnas.org/content/111/23/8410).

Thus, class time will be used as much as possible for in **class
exercises and discussion** for understanding using a variety of
technologies. We also highly encourage questions in lecture. Often
many students share the same question and those questions can help the
instructor gauge student understanding.

Preparation outside of class and participation in class are both very
important and will improve your class experience. Preparation may
include online discussion, pre-class readings and videos, and
post-lecture reflections in addition to homework. Participation in
class will include discussion, question asking, and active engagement
in learning exercises.

## Accessibility

Please see our [Accessibility Policy](docs/accessibility.html)

# Class Coordination

We want you to succeed in this class, and an important way that you do that is by **asking questions and discussing course issues with your peers and teaching staff**. Some ways to do that include:

- We have a class [discussion board]({{site.discussion}}), where you can
  make public posts that benefit the whole class, and are answered more
  quickly because your fellow students can help the course staff by
  responding also.
    - This is the best way to ask questions about things like homework and programming
    - Before posting, please search through the questions that have already been posted in case
      someone has already asked the same question.
- We hold office hours (see above).
- If none of those times work for you, you can also discuss matters
  with us privately on the [discussion board]({{site.discussion}}).
  This notifies the whole course staff at once and is usually faster
  than email.
- If none of these work for you you can send an
  [email](mailto:{{site.staff_email}}) asking to set up an
  appointment.

# Class Expectations

The class is a shared learning environment and it is important it is a
welcoming environment for everyone, from all backgrounds. As
instructors, we know that students in this class may need materials to
be accessible by screen reader, or may need extra time on exams. You
may observe religious holidays that overlap class times, or have work,
childcare or appointments that have to be prioritized at specific
times. As students we also ask you to remember that each person brings
different priorities and experiences to class. We should all strive to
treat everyone in the class with respect and understanding.

The Allen School seeks to create a more diverse, inclusive, and
equitable environment for our community and our field (see the [Allen
School’s Inclusiveness
Statement](https://www.cs.washington.edu/diversity)). Specific things
we will do to promote welcoming class environment include:

- **Accessibility**: If you have a temporary health condition or permanent disability (either mental health, learning,
   or physical health related) that impacts your academic experience, please let us know how we can
   accommodate you. You are NOT obligated to disclose any of these issues with the instructor, only specify
   if there’s any accommodations required. For more on accessibility in this class and how we accommodate you (and each other), please see our [Accessibility Policy](docs/accessibility.html)
- **Wellness**: It is very important to us that you take care of your mental health throughout the course.
  Everyone on the course staff is available to chat, and you can always attend office hours for a
  non-academic conversation if necessary. Beyond the course staff, the University of Washington provides
  the following resources for mental health concerns. Your anonymity and privacy are protected.
  - Please reach out to the [UW Counseling Center](http://www.washington.edu/counseling/) for any help and
    concerns related to mental health (including increased stress), available to all UW students at no cost.
  - If you are ever feeling uncomfortable and need to talk or are worried about someone close to you, it is
    highly recommended to visit the [UW Heath and Wellness](http://depts.washington.edu/livewell/programs/)
    programs. They offer resources to students that can help.
  - If you're concerned for yourself or a friend, please call SafeCampus at (206) 685-7233.
- **Religious Accommodations** The UW’s policy, including more information about how to request an
  accommodation, is available at [Religious Accommodations Policy](https://registrar.washington.edu/staffandfaculty/religious-accommodations-policy/).
  Accommodations can be requested within the first two weeks of this course using the
  [Religious Accommodations Request](https://registrar.washington.edu/students/religious-accommodations-request/)
  form on UW's site.
- **Inclusivity**: Our goal is to make this classroom a welcoming environment for all. We are working toward
  using a broad base of examples in our course material. Please let us know if you see an opportunity to
  improve our course material to be more representative of our student population. Additionally, if you
  experience interactions with anyone that are excluding or otherwise uncomfortable, please reach out
  to the course staff so that we can address the situation.  Should you feel uncomfortable bringing up an
  issue with a staff member directly, there are a number of
  [Community Feedback Mechanisms and Resources](https://www.cs.washington.edu/community-feedback)
  including the [Anonymous Feedback](https://feedback.cs.washington.edu/) form, but understand we can not
  respond to you directly if you use the latter. Responses, if possible, will be broadcast to the class as
  a whole or systematic changes to the class when necessary.
- **Sexual Harassment**: University policy prohibits all forms of sexual harassment.
  - If you feel you have been a victim of sexual harassment or if you feel you have been discriminated against, you may speak with your instructor, teaching assistant, the chair of the department
  - You can also file a complaint with the UW Ombudsman's Office for Sexual Harassment. Their office is located at 339 HUB, (206)543-6028. There is a second office, the University Complaint Investigation and Resolution Office, who also investigate complaints. The UCIRO is located at 22 Gerberding Hall.

# Participation 
This is an in person class. As much as possible, we ask that you
attend in person. That said, we know that many individual concerns may
make this a barrier. We will do our best to support remote
participation when there is a need for this due to a family
obligation, disability, or other concern. If you participate remotely,
you may be expected to engage in additional work before, after, or
during lecture to ensure that you have the most similar experience
possible to students who are in person. Please contact the instructor
for instructions each week you are remote). For those cases, class
sessions **will be recorded** when possible (guest lecturers may
refuse this). Recordings will only be accessible to students enrolled
in the course to review materials.

The University and Zoom have FERPA-compliant agreements in place to
protect the security and privacy of UW Zoom accounts. Students who
connect by Zoom but do not wish to be recorded should:
- Change their Zoom screen name to a school appropriate screen name
that hides any personal identifying information such as their name or
UW Net ID
- Not share their computer audio or video during their Zoom sessions  (please notify us first!).

# Grading

While grading is a necessary part of what we do at UW, I want to focus
this class on learning. The following policies are meant to encourage
that. **There will not be quizzes, or a midterm or final exam this
quarter**. Instead, your knowledge will be assessed via a combination
of peer feedback, course staff feedback, and your own reflections. In
addition, course staff will be looking for and marking down when you
achieve competency with basic requirements such as presenting
accessibly and turning in accessible documents.

## Grading Approach
We’ll be using competency based grading for most elements of this
class. We have a set of core learning goals in this class. For each of
them, you may be "competent" or "excellent". If you excel at them all,
and participate in the class, you get an 4.0. Various combinations of
"competent" "excellent" and "not competent" result in other grades.

Many of these competencies are assessed repeatedly. I don't care if
you get them wrong at first, as long as you eventually learn them.

Some are assessed less frequently. For those, you have the opportunity
to request a regrade if you feel you've improved on them.

## Grading Breakdown (tentative)
Grades will be assigned approximately as follows:

## Grading Approach

The competencies needed for this course are listed on the [assignments
page](assignments/index.html), and can all be found in canvas as well.
There are three categories of skills: (1) Accessible Media and
Documents (2) Accessibility Compliance and (3) Disability Awareness
and Justice. Accessible videos is a "bonus" meaning it can add a
competency, but won't count against you if you don't do it.

Your grade in each skill category is calculated based on the table below. Your final competency grade is the average of these three categories. You can view your progress on each competency in Canvas. Open up the category to see individual competencies; and click on the competency to see details on whether you are "competent" or "excellent". Further comments on each competency can be found in the grading on the individual assignments where it is assessed.
![Learning Mastery](assets/img/learningmastery.png){:class="page-picture"}


| Outcome Category    | Score     |    | 4 (A) | 3.8 (A-) | 3.4 (B+) | 3.2 (B) | 2.8 (B-) | 1.1 (D) | 0 (E) |
|---------------------|-----------|----|-------|----------|----------|---------|----------|---------|-------|
| Media/Docs          | !Comp     | <= |       |          |          | 1       | 2        | 3       | 4     |
| (All = 5 )          | Excellent | >= | 4/5   | 3/5      | 2/5      | 1/5     |          |         |       |
| Compliance          | !Comp     | <= |       |          |          | 1       | 2        | 3       | 4     |
| (All = 4)           | Excellent | >= | 4/4   | 3/4      | 2/4      | 1/4     |          |         |       |
| Awareness /         | !Comp     | <= |       |          |          | 1       | 2        |         | 3     |
| Justice (All=3)     | Excellent | >= | 3/3   | 2/3      | 1/3      |         |          |         |       |
| Bonus: Video Access |           |    |       |          |          |         |          |         |       |

Note that if even 1 skill in a category is below competence (**!Comp**), the highest possible grade is 2.8 for all skill groups). 

Assuming that you are at least competent in all skills, your grade is based on how many skills are excellent versus competent. You have to be excellent in all 4 skills to get a 4.0; at least 3 to get a 3.8; and at least 2 to get a 3.4. 

### 10%: Assignment Completion
Assignment completion is 10% of your grade. This is listed as the "participation" competency for each assignment in canvas. The weight of each assignment is simply the number of weeks long it is, so a longer assignment would contribute more to your assignment completion grade than a shorter one.

### 10%: Effort

Your effort grade will reflect your participation in the class across
multiple dimensions such as whether you participated in discussions
and exercises in class (self reported) and whether you participated in
discussions outside of class (based on your submissions)

## Regrade Policy

Reflecting on feedback is one of the most valuable ways you can learn
from your mistakes, and we encourage you to do so. If you have a
question about a grade you received or if you feel the grade you
received is incorrect, please **[email an
instructor](mailto:{{site.staff_email}}) for an appointment to discuss
the assignment and your grade in detail**.

It is also possible for the graders to make mistakes. If that happens
we certainly would like to correct the error. Please note the
following:
- Because this class is competency based, you don't necessarily need a regrade, you just need to show that you have learned this competency in this OR a future assignment. Most competencies show up in more than one place
- When you request a regrade, we may look at the entire assessment, homework or reflection. Therefore,
it is possible for to lose a competency as well as gain one in this process.

# Indigenous Land Acknowledgement

The University of Washington acknowledges the Coast Salish peoples of this land, the land which touches the shared waters of all tribes and bands within the Suquamish, Tulalip and Muckleshoot nations. 



